curl --request POST \
--url https://email.{region}.basaltic.sh/v1/sent-messages/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messages": [
{
"identity": "<string>",
"from": "<string>",
"to": [
"<string>"
],
"content": {
"text": "<string>",
"html": "<string>",
"raw": "<string>",
"template": "<string>",
"template_data": {}
},
"attachments_bucket": "<string>",
"attachments": [
{
"bucket": "<string>",
"key": "<string>",
"name": "<string>",
"version_id": "<string>",
"content_type": "<string>"
}
],
"subject": "<string>",
"configuration_set": "<string>"
}
]
}
'import requests
url = "https://email.{region}.basaltic.sh/v1/sent-messages/batch"
payload = { "messages": [
{
"identity": "<string>",
"from": "<string>",
"to": ["<string>"],
"content": {
"text": "<string>",
"html": "<string>",
"raw": "<string>",
"template": "<string>",
"template_data": {}
},
"attachments_bucket": "<string>",
"attachments": [
{
"bucket": "<string>",
"key": "<string>",
"name": "<string>",
"version_id": "<string>",
"content_type": "<string>"
}
],
"subject": "<string>",
"configuration_set": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messages: [
{
identity: '<string>',
from: '<string>',
to: ['<string>'],
content: {
text: '<string>',
html: '<string>',
raw: '<string>',
template: '<string>',
template_data: {}
},
attachments_bucket: '<string>',
attachments: [
{
bucket: '<string>',
key: '<string>',
name: '<string>',
version_id: '<string>',
content_type: '<string>'
}
],
subject: '<string>',
configuration_set: '<string>'
}
]
})
};
fetch('https://email.{region}.basaltic.sh/v1/sent-messages/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://email.{region}.basaltic.sh/v1/sent-messages/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'messages' => [
[
'identity' => '<string>',
'from' => '<string>',
'to' => [
'<string>'
],
'content' => [
'text' => '<string>',
'html' => '<string>',
'raw' => '<string>',
'template' => '<string>',
'template_data' => [
]
],
'attachments_bucket' => '<string>',
'attachments' => [
[
'bucket' => '<string>',
'key' => '<string>',
'name' => '<string>',
'version_id' => '<string>',
'content_type' => '<string>'
]
],
'subject' => '<string>',
'configuration_set' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://email.{region}.basaltic.sh/v1/sent-messages/batch"
payload := strings.NewReader("{\n \"messages\": [\n {\n \"identity\": \"<string>\",\n \"from\": \"<string>\",\n \"to\": [\n \"<string>\"\n ],\n \"content\": {\n \"text\": \"<string>\",\n \"html\": \"<string>\",\n \"raw\": \"<string>\",\n \"template\": \"<string>\",\n \"template_data\": {}\n },\n \"attachments_bucket\": \"<string>\",\n \"attachments\": [\n {\n \"bucket\": \"<string>\",\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"version_id\": \"<string>\",\n \"content_type\": \"<string>\"\n }\n ],\n \"subject\": \"<string>\",\n \"configuration_set\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://email.{region}.basaltic.sh/v1/sent-messages/batch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"messages\": [\n {\n \"identity\": \"<string>\",\n \"from\": \"<string>\",\n \"to\": [\n \"<string>\"\n ],\n \"content\": {\n \"text\": \"<string>\",\n \"html\": \"<string>\",\n \"raw\": \"<string>\",\n \"template\": \"<string>\",\n \"template_data\": {}\n },\n \"attachments_bucket\": \"<string>\",\n \"attachments\": [\n {\n \"bucket\": \"<string>\",\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"version_id\": \"<string>\",\n \"content_type\": \"<string>\"\n }\n ],\n \"subject\": \"<string>\",\n \"configuration_set\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://email.{region}.basaltic.sh/v1/sent-messages/batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"messages\": [\n {\n \"identity\": \"<string>\",\n \"from\": \"<string>\",\n \"to\": [\n \"<string>\"\n ],\n \"content\": {\n \"text\": \"<string>\",\n \"html\": \"<string>\",\n \"raw\": \"<string>\",\n \"template\": \"<string>\",\n \"template_data\": {}\n },\n \"attachments_bucket\": \"<string>\",\n \"attachments\": [\n {\n \"bucket\": \"<string>\",\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"version_id\": \"<string>\",\n \"content_type\": \"<string>\"\n }\n ],\n \"subject\": \"<string>\",\n \"configuration_set\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"index": 123,
"status": "queued",
"message": {
"id": "288aa1e9-bbf5-5584-bce9-6a688f06d8a1",
"crn": "crn:catalog::platform:country/288aa1e9-bbf5-5584-bce9-6a688f06d8a1",
"name": "Brazil"
},
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}
]
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}Send message batch
Accept up to 50 messages. All identity/template permissions and content-mode shapes are checked before enqueueing; denial rejects the entire request. Sending restrictions, quota, suppression, rendering and storage failures are returned per entry, in input order. queued means accepted, not delivered. Use one Idempotency-Key for the entire batch; retry rejected entries separately with a new key.
curl --request POST \
--url https://email.{region}.basaltic.sh/v1/sent-messages/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messages": [
{
"identity": "<string>",
"from": "<string>",
"to": [
"<string>"
],
"content": {
"text": "<string>",
"html": "<string>",
"raw": "<string>",
"template": "<string>",
"template_data": {}
},
"attachments_bucket": "<string>",
"attachments": [
{
"bucket": "<string>",
"key": "<string>",
"name": "<string>",
"version_id": "<string>",
"content_type": "<string>"
}
],
"subject": "<string>",
"configuration_set": "<string>"
}
]
}
'import requests
url = "https://email.{region}.basaltic.sh/v1/sent-messages/batch"
payload = { "messages": [
{
"identity": "<string>",
"from": "<string>",
"to": ["<string>"],
"content": {
"text": "<string>",
"html": "<string>",
"raw": "<string>",
"template": "<string>",
"template_data": {}
},
"attachments_bucket": "<string>",
"attachments": [
{
"bucket": "<string>",
"key": "<string>",
"name": "<string>",
"version_id": "<string>",
"content_type": "<string>"
}
],
"subject": "<string>",
"configuration_set": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messages: [
{
identity: '<string>',
from: '<string>',
to: ['<string>'],
content: {
text: '<string>',
html: '<string>',
raw: '<string>',
template: '<string>',
template_data: {}
},
attachments_bucket: '<string>',
attachments: [
{
bucket: '<string>',
key: '<string>',
name: '<string>',
version_id: '<string>',
content_type: '<string>'
}
],
subject: '<string>',
configuration_set: '<string>'
}
]
})
};
fetch('https://email.{region}.basaltic.sh/v1/sent-messages/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://email.{region}.basaltic.sh/v1/sent-messages/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'messages' => [
[
'identity' => '<string>',
'from' => '<string>',
'to' => [
'<string>'
],
'content' => [
'text' => '<string>',
'html' => '<string>',
'raw' => '<string>',
'template' => '<string>',
'template_data' => [
]
],
'attachments_bucket' => '<string>',
'attachments' => [
[
'bucket' => '<string>',
'key' => '<string>',
'name' => '<string>',
'version_id' => '<string>',
'content_type' => '<string>'
]
],
'subject' => '<string>',
'configuration_set' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://email.{region}.basaltic.sh/v1/sent-messages/batch"
payload := strings.NewReader("{\n \"messages\": [\n {\n \"identity\": \"<string>\",\n \"from\": \"<string>\",\n \"to\": [\n \"<string>\"\n ],\n \"content\": {\n \"text\": \"<string>\",\n \"html\": \"<string>\",\n \"raw\": \"<string>\",\n \"template\": \"<string>\",\n \"template_data\": {}\n },\n \"attachments_bucket\": \"<string>\",\n \"attachments\": [\n {\n \"bucket\": \"<string>\",\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"version_id\": \"<string>\",\n \"content_type\": \"<string>\"\n }\n ],\n \"subject\": \"<string>\",\n \"configuration_set\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://email.{region}.basaltic.sh/v1/sent-messages/batch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"messages\": [\n {\n \"identity\": \"<string>\",\n \"from\": \"<string>\",\n \"to\": [\n \"<string>\"\n ],\n \"content\": {\n \"text\": \"<string>\",\n \"html\": \"<string>\",\n \"raw\": \"<string>\",\n \"template\": \"<string>\",\n \"template_data\": {}\n },\n \"attachments_bucket\": \"<string>\",\n \"attachments\": [\n {\n \"bucket\": \"<string>\",\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"version_id\": \"<string>\",\n \"content_type\": \"<string>\"\n }\n ],\n \"subject\": \"<string>\",\n \"configuration_set\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://email.{region}.basaltic.sh/v1/sent-messages/batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"messages\": [\n {\n \"identity\": \"<string>\",\n \"from\": \"<string>\",\n \"to\": [\n \"<string>\"\n ],\n \"content\": {\n \"text\": \"<string>\",\n \"html\": \"<string>\",\n \"raw\": \"<string>\",\n \"template\": \"<string>\",\n \"template_data\": {}\n },\n \"attachments_bucket\": \"<string>\",\n \"attachments\": [\n {\n \"bucket\": \"<string>\",\n \"key\": \"<string>\",\n \"name\": \"<string>\",\n \"version_id\": \"<string>\",\n \"content_type\": \"<string>\"\n }\n ],\n \"subject\": \"<string>\",\n \"configuration_set\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"index": 123,
"status": "queued",
"message": {
"id": "288aa1e9-bbf5-5584-bce9-6a688f06d8a1",
"crn": "crn:catalog::platform:country/288aa1e9-bbf5-5584-bce9-6a688f06d8a1",
"name": "Brazil"
},
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}
]
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}email:SendMessage. See EMAIL permissions for the full list, what each one covers, and an example policy.Authorizations
An OAuth 2.0 bearer token, sent as Authorization: Bearer <token>.
This is the recommended way to authenticate.
Get one by exchanging a service account's access key pair at
POST /v1/oauth/token with grant_type=client_credentials. It is the
standard client-credentials grant, so any OAuth-aware library will
obtain and refresh it for you.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Tokens last an hour by default. The same access key pair is separately your AWS SigV4 credential for the S3-compatible object endpoint, which speaks nothing else.
Body
1 - 50 elementsShow child attributes
Show child attributes
Response
Success
Show child attributes
Show child attributes

